{% extends 'base.html.twig' %}
{% form_theme form_search 'bootstrap_4_layout.html.twig' %}

{% block title %}Liste Des Filieres {% endblock %}

{% block body %}

    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}

    <td>
        <a>
            <button class="btn btn-success btn_new_filiere" url="{{ path('filiere_new_ajax') }}"><span
                        class="glyphicon glyphicon-plus" title="Ajouter"> Ajouter</span></button>
        </a>

        <a href="{{ path('filiere_list') }}" target="_blank">
            <button type="button" class="btn btn-success"><span
                        class="glyphicon glyphicon-print" title="Imprimer"> Imprimer</span></button>
        </a>
    </td>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Recherche Filieres </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            {{ form_start(form_search) }}
            <div class="row">
                <div class="col-md-3">
                    {{ form_row(form_search.libelle_filiere_fr,{'value':app.request.get('libelle_filiere_fr')}) }}
                </div>
                <div class="col-md-3">
                    {{ form_row(form_search.libelle_filiere_ar,{'value':app.request.get('libelle_filiere_ar')}) }}
                </div>
                {% if not app.user.isChefDepartement %}
                    <div class="col-md-4">
                        {{ form_row(form_search.departement,{'value':app.request.get('departement')}) }}
                    </div>
                {% endif %}
                <div class="col-md-2" style="margin-top: 25px;">
                    <button class="btn btn-primary"><span class="glyphicon glyphicon-search" title="Chercher"></span>
                    </button>
                    <a href="{{ path('filiere_index') }}" class="btn btn-danger"><span
                                class="glyphicon glyphicon-refresh" title="Actualiser"></span>
                    </a>
                </div>
            </div>
            {{ form_end(form_search) }}
        </div>
    </div>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des Filieres </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>

                    <th>Nom du Filière en Français</th>
                    <th>Nom du Filière en Arabe</th>
                    <th>Action</th>

                </tr>
                </thead>
                <tbody>
                {% for filiere in filieres %}
                    <tr>

                        <td>{{ filiere.libelleFiliereFr }}</td>
                        <td>{{ filiere.libelleFiliereAr }}</td>
                        <td>
                            <ul class="list_act_ens">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_filiere"
                                                url="{{ path('filiere_show', {'id': filiere.id}) }}"><span
                                                    class="glyphicon glyphicon-info-sign" title="Détail"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_filiere"
                                                url="{{ path('filiere_edit_ajax', {'id': filiere.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil" title="Modifier"></span>
                                        </button>
                                    </a>
                                </li>

                                <li>  {{ include('filiere/_delete_form.html.twig') }} </li>
                            </ul>
                        </td>
                    </tr>

                {% else %}
                    <tr>
                        <td colspan="4">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div align='center' class="navigation">
                {{ knp_pagination_render(filieres) }}
            </div>


            <div class="modal fade" id="modalFiliere" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_filiere"></h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block mesJavascripts %}

    <script>
        $('body').on('click', '.btn_new_filiere', function (event) {
            $('#modalFiliere').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_filiere').html('Ajouter nouvelle filière');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_filiere', function (event) {
            $('#modalFiliere').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_filiere').html('Modifier filière');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_filiere', function (event) {
            $('#modalFiliere').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_filiere').html('Info filière');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_del_filiere', function (event) {
            var name_filiere = $(this).attr('name_filiere');
            var id_filiere = $(this).attr('id_filiere');
            $('#modalFiliere').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_filiere').html('Supprimer filière');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la filière: <b>' + name_filiere + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_filiere" onclick="confirmer_delete_filiere(' + id_filiere + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_filiere(id_filiere) {
            $('#form_delete_filiere_' + id_filiere).submit();
        }

        $('body').on('click', '.save_filiere', function (event) {

            var form = $('#form_add_filiere');
            var formData = new FormData(document.getElementById("form_add_filiere"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_filiere').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalFiliere').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_filiere', function (event) {

            var form = $('#form_add_filiere');
            var formData = new FormData(document.getElementById("form_add_filiere"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_filiere').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalFiliere').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

        function supprimer_filiere(name_filiere) {
            $('#modalFiliere').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_filiere').html('Supprimer filière');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la filière: ' + name_filiere);
            return false;
        }
    </script>

{% endblock %}